/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.project.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.project.entity.ProjectEvaluationRecord;
import com.jeeplus.modules.project.dao.ProjectEvaluationRecordDao;

/**
 * 招标代理评价记录表Service
 * @author liuw
 * @version 2017-10-12
 */
@Service
@Transactional(readOnly = true)
public class ProjectEvaluationRecordService extends CrudService<ProjectEvaluationRecordDao, ProjectEvaluationRecord> {

	public ProjectEvaluationRecord get(String id) {
		return super.get(id);
	}
	
	public List<ProjectEvaluationRecord> findList(ProjectEvaluationRecord projectEvaluationRecord) {
		return super.findList(projectEvaluationRecord);
	}
	
	public Page<ProjectEvaluationRecord> findPage(Page<ProjectEvaluationRecord> page, ProjectEvaluationRecord projectEvaluationRecord) {
		return super.findPage(page, projectEvaluationRecord);
	}
	
	@Transactional(readOnly = false)
	public void save(ProjectEvaluationRecord projectEvaluationRecord) {
		super.save(projectEvaluationRecord);
	}
	
	@Transactional(readOnly = false)
	public void delete(ProjectEvaluationRecord projectEvaluationRecord) {
		super.delete(projectEvaluationRecord);
	}
	
	
	
	
}